# API

Package org.firstinspires.ftc.teamcode

## Class API

- java.lang.Object
- - org.firstinspires.ftc.teamcode.API

    public class API
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `API.Direction`
`static class` `API.HubIMU`
`static class` `API.Motor`
`static class` `API.MotorBehaviour`
`static class` `API.Servo`

### Field Summary

Fields
`static API.HubIMU` `imu`

### Constructor Summary

Constructors
`API()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clear()` Clears the telemetry
`static void` `init​(com.qualcomm.robotcore.eventloop.opmode.OpMode mode)` Initializes the API
`static void` `pause​(double seconds)` Pauses for a given amount of seconds, with sub-millisecond accuracy
`static void` `print​(java.lang.String s)` Prints a line to telemetry
`static void` `print​(java.lang.String caption, java.lang.String value)` Prints a value to telemetry, formatted as "caption: value"

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### imu

    public static API.HubIMU imu

### Constructor Detail

#### API

    public API()

### Method Detail

#### init

    public static void init​(com.qualcomm.robotcore.eventloop.opmode.OpMode mode)

Initializes the API

Parameters:
  `mode` - the opmode to initialize with

#### pause

    public static void pause​(double seconds)

Pauses for a given amount of seconds, with sub-millisecond accuracy

Parameters:
  `seconds` - the amount of seconds to pause for

#### print

    public static void print​(java.lang.String s)

Prints a line to telemetry

Parameters:
  `s` - the text to print
See Also:
  `print(String, String)`

#### print

    public static void print​(java.lang.String caption,
                             java.lang.String value)

Prints a value to telemetry, formatted as "caption: value"

Parameters:
  `caption` - the caption to print
  `value` - the value to print
See Also:
  `print(String)`

#### clear

    public static void clear()

Clears the telemetry